Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Gebroken pakketbeheer  (gelezen 133 keer)

Offline Hsapiens

  • Lid
  • Steunpunt: Nee
Gebroken pakketbeheer
« Gepost op: 2021/03/13, 15:48:34 »
Bij opdrachten zoals " sudo apt install gnome-software" wordt de installatie onderbroken, met als reden
dpkg: fout bij verwerken van pakket linux-image-5.4.0-64-generic (--remove):
 subproces van pakket linux-image-5.4.0-64-generic werd script post-removal geïn
stalleerd gaf de foutwaarde 1 terug
dpkg: te veel fouten; er wordt gestopt
Fouten gevonden tijdens verwerken van:
 linux-image-5.4.0-64-generic
Verwerking werd afgebroken omdat er te veel fouten waren.
E: Sub-process /usr/bin/dpkg returned an error code (1)


Hoe moet dit worden opgelost ?

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketbeheer
« Reactie #1 Gepost op: 2021/03/13, 16:33:19 »
Zet eens tijdelijk alle informatie over het pakket weg:

sudo mkdir /tmprescue
sudo mv /var/lib/dpkg/info/linux-image-5.4.0-64-generic.* /tmprescue

Doe dan een geforceerde verwijdering:

sudo dpkg --remove --force-remove-reinstreq linux-image-5.4.0-64-generic

En hopelijk gaat dit goed. Indien niet, post dan al je terminalwerk (commando's en uitvoer) hier tussen [⁣code][⁣/code] tags, want anders kunnen we niet vooruit.